---
- entityDefinitions:
  - IDC_Home: '{30b405a0-c1bc-4f3a-8760-d2279c2dc06b}'

  - IDR_Home__has__Circuit_Breaker: '{2887aa81-5cad-490d-878b-1470390da8a2}'
  - IDR_Circuit_Breaker__for__Home: '{f2cb546f-edf1-45cb-a033-41c57b556dea}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_Home;'
    name: 'Home'
    customTagName: 'home'
    index: 21001
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'

  - relationship: '&IDR_Home__has__Circuit_Breaker;'
    sourceClassId: '&IDC_Home;'
    type: 'has'
    destinationClassId: '&IDC_CircuitBreaker;'
    siblingRelationshipId: '&IDR_Circuit_Breaker__for__Home;'
    singular: no
  - relationship: '&IDR_Circuit_Breaker__for__Home;'
    sourceClassId: '&IDC_CircuitBreaker;'
    type: 'for'
    destinationClassId: '&IDC_Home;'
    siblingRelationshipId: '&IDR_Home__has__Circuit_Breaker;'
    singular: no
